<?php

use Montonio\Clients\PaymentsClient;
use MontonioPayment\Services\ConfigService;

function smarty_function_montonioFetchBanks($params, &$smarty)
{
    /** @var Zend_Cache_Core $cacheService */
    $cacheService = Shopware()->Container()->get('cache');
    $banks = $cacheService->load('montonioBanks');
    if(empty($banks)) {
        $banks = [];
        $configService = Shopware()->Container()->get(ConfigService::class);
        $client = new PaymentsClient($configService->getAccessKey(), $configService->getSecretKey(), $configService->getEnvironment());
        $methods = $client->getPaymentMethods();
        if (!empty($methods['paymentMethods'])) {
            $banks = $methods['paymentMethods']['paymentInitiation']['setup']['DE']['paymentMethods'];
            $cacheService->save($banks, 'montonioBanks', [], 3600);
        }
    }
    $smarty->assign('montonioBanks', $banks);
}