<?php

namespace MontonioPayment\Traits;

use MontonioPayment\MontonioPayment;
use MontonioPayment\Services\ConfigService;

trait LoggingTrait
{

    protected function _getLogLevel()
    {
        if (empty(MontonioPayment::$logLevel)) {
            MontonioPayment::$logLevel = Shopware()->Container()->get(ConfigService::class)->getLogLevel();
        }
        return MontonioPayment::$logLevel;
    }

    protected function _initLogger(){
        if(empty(MontonioPayment::$logger)){
            MontonioPayment::$logger = Shopware()->Container()->get('montonio_payment.debug_logger');
        }
    }
    protected function _initErrorLogger(){
        if(empty(MontonioPayment::$errorLogger)){
            MontonioPayment::$errorLogger = Shopware()->Container()->get('montonio_payment.error_logger');
        }
    }

    public function debug($msg, $context = []){
        if($this->_getLogLevel() !== 'debug'){
            return;
        }
        $this->_initLogger();
        MontonioPayment::$logger->debug($msg, $context);
    }


    public function error($msg, $context = []){
        $this->_initErrorLogger();
        MontonioPayment::$errorLogger->error($msg, $context);
        if($this->_getLogLevel() === 'debug'){
            $this->debug('💣 '.$msg, $context);
        }
    }

}