<?php

namespace Montonio\Tests;

use Montonio\Clients\AbstractClient;
use Montonio\Clients\PaymentsClient;
use Montonio\Structs\PaymentData;
use PHPUnit\Framework\TestCase;

class PaymentsClientTest extends TestCase{

    protected $config = [
        'accessKey'=>'0aa12f05-1a2a-4d15-a010-79e3bebed035',
        'secretKey'=>'yIJ5k66+uA5kr7Ya8PfyR6ZL1kpuDbTfIri+smc3C+KP'
    ];
    public function testGetPaymentMethods(){
        $paymentsClient = new PaymentsClient($this->config['accessKey'], $this->config['secretKey'], AbstractClient::ENVIRONMENT_SANDBOX);
        $methods = $paymentsClient->getPaymentMethods();
        $this->assertEquals(true, isset($methods['EE']));
    }
    public function testGetBanks(){
        $paymentsClient = new PaymentsClient($this->config['accessKey'], $this->config['secretKey'], AbstractClient::ENVIRONMENT_SANDBOX);
        $banks = $paymentsClient->getBanks();
        $this->assertEquals(true, isset($banks['EE']));
    }
    public function testGetPaymentUrl(){
        $paymentsClient = new PaymentsClient($this->config['accessKey'], $this->config['secretKey'], AbstractClient::ENVIRONMENT_SANDBOX);
        $paymentData = (new PaymentData())
            ->setAccessKey($this->config['accessKey'])
            ->setAmount(10.0)
            ->setCurrency('EUR')
            ->setMerchantReference(uniqid())
            ->setMerchantReturnUrl('https://google.com')
            ->setPreselectedAspsp('CARD')
            ;
        $order = $paymentsClient->createOrder($paymentData);
        $this->assertStringContainsString('https://sandbox-payments', $order['paymentUrl']);
    }
}